低危 Mozilla Firefox和Firefox ESR 缓冲区错误漏洞

CVE编号

CVE-2020-12410

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-07-10
漏洞描述
Mozilla开发人员报告了firefox76和firefoxesr68.8中存在的内存安全漏洞。其中一些bug显示内存损坏的迹象,我们推测,经过足够的努力,其中一些可能被利用来运行任意代码。此漏洞影响Thunderbird<68.9.0、Firefox<77和Firefox ESR<68.9。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://www.mozilla.org/en-US/security/advisories/mfsa2020-20/

https://www.mozilla.org/en-US/security/advisories/mfsa2020-21/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mozilla firefox * Up to
(excluding)
76.0
运行在以下环境
应用 mozilla firefox_esr * Up to
(excluding)
68.8.0
运行在以下环境
系统 redhat_6 firefox * Up to
(excluding)
0:68.9.0-1.el6_10
运行在以下环境
系统 redhat_6 thunderbird * Up to
(excluding)
0:68.9.0-1.el6_10
运行在以下环境
系统 redhat_7 firefox * Up to
(excluding)
0:68.9.0-1.el7_8
运行在以下环境
系统 redhat_7 thunderbird * Up to
(excluding)
0:68.9.0-1.el7_8
运行在以下环境
系统 suse_12 MozillaFirefox * Up to
(excluding)
68.9.0-109.123
运行在以下环境
系统 ubuntu_16.04.7_lts firefox * Up to
(excluding)
77.0.1+build1-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_16.04_lts firefox * Up to
(excluding)
77.0.1+build1-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts firefox * Up to
(excluding)
77.0.1+build1-0ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_18.04_lts firefox * Up to
(excluding)
77.0.1+build1-0ubuntu0.18.04.1
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    -
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
CWE-787 跨界内存写
阿里云安全产品覆盖情况